/* SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause) */
/*
 * Copyright (c) 2020 MediaTek Inc.
 */

#ifndef __MDLA_PLAT_WORK_H__
#define __MDLA_PLAT_WORK_H__

#include <linux/types.h>
#include <linux/time.h>
#include <linux/types.h>
#include <interface/mdla_cmd_data_v2_0.h>

int mdla_plat_work_init(void);
void mdla_plat_work_uninit(void);
void mdla_plat_stop_work(u32 core_id, struct command_entry *ce);
int mdla_plat_process_work(struct command_entry *ce, u32 core_id,
			u32 evt_id, dma_addr_t addr, u32 count);

#endif
